Bug 1277142 - dovecot: auth_request_get_var_expand test fails on big endian
dovecot: auth_request_get_var_expand test fails on big endian
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
rawhide
ppc64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker PPCTracker
  Show dependency treegraph
 
Reported: 2015-11-02 08:36 EST by Rafael Fonseca
Modified: 2015-12-08 10:28 EST (History)
2 users (show)

See Also:
Fixed In Version: dovecot-2.2.20-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 10:28:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael Fonseca 2015-11-02 08:36:00 EST
Description of problem: the test fails with the following error message:

0 / 1 tests failed
test-auth-request-var-expand.c:99: Assert failed: strcmp(str_c(str),
test_output) == 0
test-auth-request-var-expand.c:104: Assert failed: strcmp(str_c(str),
test_output) == 0
auth request var expand short and long ............................... :
FAILED
test: random seed #1 was 1446803094
auth request var expand flags ........................................ : ok
test-auth-request-var-expand.c:158: Assert failed: strcmp(str_c(str),
test_output) == 0
auth request var expand long-only .................................... :
FAILED
auth request var expand usernames .................................... : ok
auth request var expand funcs ........................................ : ok
2 / 5 tests failed
Makefile:1257: recipe for target 'check-test' failed


Version-Release number of selected component (if applicable): 2.2.19-1


How reproducible: ppc-koji build dovecot


Additional info: The problem also happens on f22 and f23 (ppc and s390). It was reported upstream [1].

[1] http://dovecot.org/pipermail/dovecot/2015-November/102435.html
Comment 1 Rafael Fonseca 2015-11-27 08:12:24 EST
Patch submitted by the devs [1]. I tested on a big endian machine, and all tests pass now.


[1] http://hg.dovecot.org/dovecot-2.2/diff/cf956e34dc11/src/auth/test-auth-request-var-expand.c

Note You need to log in before you can comment on or make changes to this bug.